Bug 1310841 - Fix zsh autocompletion for rhc
Fix zsh autocompletion for rhc
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vu Dinh
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 13:50 EST by Rory Thrasher
Modified: 2016-03-22 12:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhc-1.38.6.1-1.el6op
Doc Type: Bug Fix
Doc Text:
Users using the rhc command line tool with Zsh would get errors when attempting to use autocompletion. The rhc_bash file was updated to properly work with Zsh and allow autocompletion without errors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 12:55:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rory Thrasher 2016-02-22 13:50:33 EST
Using bashcompinit with zsh was causing an error when trying to autocomplete.

Based on this github issue: https://github.com/openshift/rhc/issues/697

Fixed with this PR: https://github.com/openshift/rhc/pull/729
Comment 4 Ma xiaoqiang 2016-02-29 01:54:33 EST
Check on puddle [2.2.9/2016-02-25.2]

The autocompletion will input once.

#rhc app-create xiaom php-5.4  
Your authorization token has expired. Please sign in now to continue on localhost.
Password: 
Username or password is not correct
Password: 

the autocompletion will input a password automatically.
Comment 5 Ma xiaoqiang 2016-02-29 02:31:59 EST
(In reply to Ma xiaoqiang from comment #4)
> Check on puddle [2.2.9/2016-02-25.2]
> 
> The autocompletion will input once.
> 
> #rhc app-create xiaom php-5.4  
> Your authorization token has expired. Please sign in now to continue on
> localhost.
> Password: 
> Username or password is not correct
> Password: 
> 
> the autocompletion will input a password automatically.

it is a issue on my zsh. check on another machine. the autocompletion work fine, move this issue to VERIFIED.
Comment 7 errata-xmlrpc 2016-03-22 12:55:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.